# LoRa HelloWorld Project

Welcome to the **LoRa HelloWorld** project! This is a simple project designed to demonstrate basic usage of the i2C interface using a ssd1306 display. The Lora model used was a Lora32 T3 v1.6.1

## Features

- Prints "Hello, World!" on a ssd1306 display.

## Requirements

- espup installed
- rust installed        

## Installation

1. Clone the repository:
    ```bash
    git clone https://github.com/bibble235/lora-helloworld.git
    ```
2. Navigate to the project directory:
    ```bash
    cd lora-helloworld
    ```

## Usage

Run the application with the following command:
```bash
cargo build
cargo run
```

## License

This project is licensed under the [License Name] - see the [LICENSE](LICENSE) file for details.

## Demonstration
![Screenshot of a Lora32 T3 v1.6.1 running this app.](./assets/images/Lora_ssd1306_hello.png)

## Contact

For questions or feedback, please contact iwiseman@bibble.co.nz.

![Rust](https://img.shields.io/badge/Rust-Language-black?logo=rust&logoColor=white)
![ESP32](https://img.shields.io/badge/ESP32-Microcontroller-blue)